> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazygoldfish.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Embeddable UI API

> This endpoint allows you to generate a unique embeddable link for your UI component. This link can be embedded into any webpage or application.



## OpenAPI

````yaml POST /exams/embeddable-ui-link
openapi: 3.0.1
info:
  title: Evaluation Report API
  description: An API for retrieving evaluation reports.
  version: 1.0.0
servers:
  - url: https://api-staging.crazygoldfish.com
    description: SandBox endpoint
  - url: https://api.crazygoldfish.com
    description: Prod End Point
security: []
paths:
  /exams/embeddable-ui-link:
    post:
      summary: Generate Test Link
      description: Generates a test link based on the provided identifiers.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                embeddable_ui_id:
                  type: string
                  description: >-
                    Unique identifier for the embeddable UI. Check the
                    `embeddable_ui_id` for various IELTS and TOEFL task
                    [here](https://docs.crazygoldfish.com/products/embeddable_ui)
                  example: IE-GT-W-02
                  enum:
                    - IE-AC-W-01
                    - IE-AC-W-02
                    - IE-GT-W-01
                    - IE-GT-W-02
                    - TF-ES-W-01
                    - TF-ES-W-02
                    - TF-ES-W-03
                    - TF-ES-W-04
                    - TF-ES-W-05
                    - TF-IB-W-01
                    - TF-IB-W-02
                institute_id:
                  type: string
                  nullable: true
                  description: ID of the institute. Accepts null and blank values.
                  example: inst_456
                teacher_id:
                  type: string
                  nullable: true
                  description: ID of the teacher. Accepts null and blank values.
                  example: ''
                parent_id:
                  type: string
                  nullable: true
                  description: ID of the parent. Accepts null and blank values.
                  example: ''
                student_id:
                  type: string
                  nullable: true
                  description: ID of the student. Accepts null and blank values.
                  example: '123'
                student_name:
                  type: string
                  nullable: true
                  description: Name of the student. Accepts null and blank values.
                  example: crazygoldfish
              required:
                - embeddable_ui_id
      responses:
        '200':
          description: Test link generated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  embeddable_ui_requested:
                    type: string
                    description: The generated test link.
                    example: >-
                      https://mock-test.crazygoldfish.com/exam/<unique_id>/?client_id=1
                  client_id:
                    type: integer
                    description: Client Id
                    example: 1
                  institute_id:
                    type: string
                    description: Institute Id
                    example: inst_456
                  teacher_id:
                    type: string
                    description: Teacher Id
                    example: ''
                  parent_id:
                    type: string
                    description: Parent Id
                    example: ''
                  student_id:
                    type: string
                    description: Student Id
                    example: '123'
                  student_name:
                    type: string
                    description: Student Name
                    example: crazygoldfish
        '400':
          description: Bad Request. Invalid input data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        description: Error code
                        example: 400
                      message:
                        type: string
                        description: Detailed error message
                        example: >-
                          The embeddable_ui_id provided is invalid or not
                          available in the selected category.
        '403':
          description: Authentication credentials were not provided.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Authentication credentials were not provided.
                    example: Authentication credentials were not provided.
        '500':
          description: Internal Server Error. Could not generate test link.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````